libdata-optlist-perl_0.109-1_all.deb


Advertisement

Description

libdata-optlist-perl - module to parse and validate simple name/value option pairs

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdata-optlist-perl
Package version: 0.109
Package release: 1
Package architecture: all
Package type: deb
Installed size: 54 B
Download size: 10.32 KB
Official Mirror: ftp.br.debian.org
Data::OptList is a Perl module useful for working with simple name-and-value option pairs. It assumes any defined scalar is a name and any reference after it is its value.

Alternatives

    Download

    Source package: libdata-optlist-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdata-optlist-perl deb package:
      # sudo apt-get install libdata-optlist-perl

    Files

    • /usr/share/doc/libdata-optlist-perl/changelog.Debian.gz
    • /usr/share/doc/libdata-optlist-perl/changelog.gz
    • /usr/share/doc/libdata-optlist-perl/copyright
    • /usr/share/man/man3/Data::OptList.3pm.gz
    • /usr/share/perl5/Data/OptList.pm

    Changelog

    2013-12-27 - gregor herrmann <gregoa@debian.org> libdata-optlist-perl (0.109-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ Florian Schlichting ] * Import Upstream version 0.108 * Bump Standards-Version to 3.9.4 (no change) * Drop spelling.patch, applied upstream [ gregor herrmann ] * New upstream release 0.109. * Update years of copyright. * Declare compliance with Debian Policy 3.9.5.

    2011-05-12 - Jotam Jr. Trejo <jotamjr@debian.org.sv> libdata-optlist-perl (0.107-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.4 (drop perl version dep) * Add myself to Uploaders and Copyright * Rewrite control description * No longer perform Perl::Critic tests * Use new short debhelper 7 rules format * Update copyright to new DEP5 format [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Jotam Jr. Trejo ] * New upstream release * debian/copyright: refresh, remove copyright and license for already deleted files (inc/Module/*) and use Debian systems instead of Debian GNU/Linux systems * Switch to Source Format 3.0 (quilt) * Bump Standards Version to 3.9.2 * debian/control: add version (>= 0.96) for Test::More dependency * debian/patches/spelling.patch: patch to fix a spelling error * Bump DH compat level to 8 * debian/control: remove libtest-pod-coverage-perl and libtest-pod-perl from B-D-I, not planning to run release tests * Add myself to Uploaders and Copyright

    2009-02-20 - Antonio Radici <antonio@dyne.org> libdata-optlist-perl (0.104-1) unstable; urgency=low [ Antonio Radici ] * New upstream release * debian/control: + adding myself to the Uploaders + upgrade of Standards-Version to 3.8.0 * debian/copyright: + new format + adding gregor and mself to the debian/ (c) holders [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/control: change my email address. * debian/copyright: add information about files under inc/. * Set debhelper compatibility level to 7; adapt debian/{control,compat,rules}.

    2008-03-08 - gregor herrmann <gregor+debian@comodo.priv.at> libdata-optlist-perl (0.103-2) unstable; urgency=low * debian/rules: - delete /usr/lib/perl5 only if it exists (closes: #467751) - let install-stamp target depend on build-stamp * debian/watch: use dist-based URL. * Set Standards-Version to 3.7.3 (no changes). * Set debhelper compatibility level to 5. * Enable perl-critic test.

    2007-11-02 - gregor herrmann <gregor+debian@comodo.priv.at> libdata-optlist-perl (0.103-1) unstable; urgency=low * New upstream release. * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. * Add libtest-pod-perl, libtest-pod-coverage-perl to Build-Depends-Indep. * debian/rules: - Install upstream changelog. - Remove unused dh_* calls. - Move test to build target. - Remove unused OPTIMIZE variable. - Call dh_clean before make distclean. * debian/copyright: - Use generic upstream URL instead of versioned one. - Update years of copyright according to README.

    2007-07-11 - Krzysztof Krzyzaniak (eloy) <eloy@debian.org> libdata-optlist-perl (0.102-1) unstable; urgency=low * New upstream release

    2006-06-21 - Krzysztof Krzyzaniak (eloy) <eloy@debian.org> libdata-optlist-perl (0.101-1) unstable; urgency=low * New upstream release

    2006-06-06 - Krzysztof Krzyzaniak (eloy) <eloy@debian.org> libdata-optlist-perl (0.100-1) unstable; urgency=low * Initial Release (closes: #370707).

    Advertisement
    Advertisement